<?php 

	require "config.php";
	
	session_start();
	
	$videoid = $_GET['videoid'];
	
	// Elmentett videoid törlése bejelentkezés után
	if(isset($_SESSION['videoid'])){
		unset($_SESSION['videoid']);
	}
	
	// Megtekintés növelése
	$conn->query("UPDATE videos SET viewcount=viewcount+1 WHERE id=$videoid");
	
	// Videó
	$lekerdezes = "SELECT * FROM videos WHERE id=$videoid";
	$talalt_video = $conn->query($lekerdezes);
	$video = $talalt_video->fetch_assoc();
	
	// Csatorna lekédezése
	$lekerdezes = "SELECT * FROM users WHERE id=$video[userid]";
	$talalt_csatorna = $conn->query($lekerdezes);
	$csatorna = $talalt_csatorna->fetch_assoc();
	
	// Feliratkozás
	if(isset($_POST['sub-btn'])){
		
		$conn->query("INSERT INTO subs VALUES(id, $_SESSION[id], $csatorna[id])");
		
		header("Location: video.php?videoid=$videoid");
		
	}
	
	// Leiratkozás
	if(isset($_POST['unsub-btn'])){
		
		$conn->query("DELETE FROM subs WHERE userid=$_SESSION[id] AND channelid=$csatorna[id]");

		header("Location: video.php?videoid=$videoid");
		
	}
	
	// Feliratkozások
	$lekerdezes = "SELECT * FROM subs WHERE channelid=$csatorna[id]";
	$talalt_feliratkozasok = $conn->query($lekerdezes);
	
	$feliratkozasok = mysqli_num_rows($talalt_feliratkozasok);
	
	// Nem bejelentkezett felhasználó átirányítása a bejelentkezésre
	if(isset($_POST['login-btn'])){
		
		$_SESSION['videoid'] = $videoid;
		
		header("Location: login.php");
		
	}
	
	// Komment írás
	if(isset($_POST['send-btn'])){
		
		$conn->query("INSERT INTO comments VALUES(id, $_SESSION[id], $videoid, '$_POST[text]')");

		header("Location: video.php?videoid=$videoid");
		
	}
	
	// Kommentek számának lekérdezése
	$lekerdezes = "SELECT * FROM comments WHERE videoid=$videoid";
	$talalt_kommentek = $conn->query($lekerdezes);
	
	$kommentek_szama = mysqli_num_rows($talalt_kommentek);

?>
<!DOCTYPE html>
<html lang="hu">

	<head>
		
		<!-- TITLE -->
		<title>Videó</title>
		
		<!-- CSS -->
		<link rel="stylesheet" href="css/style.css">
		
	</head>
	<body>
	
		<!-- NAV -->
		<?php require "nav.php"; ?>
		
		<!-- CONTENT -->
		<div class="content-box">
		
			<!-- VIDEO SIDE -->
			<div class="video-side">
				
				<video width="960" height="540" controls autoplay>
					<source src="./users/<?= $csatorna['username']; ?>/<?= $video['file_name']; ?>">
				</video>
				
				<a class="video-name"><?= $video['name']; ?></a>
				
				<!-- Feliratkozás -->
				<form class="channel-form" method="post">
				
					<!-- Link a feltöltő csatornájához -->
					<label class="channel-name">
						<a href="channel.php?channelid=<?= $csatorna['id']; ?>">
							<?= $csatorna['username']; ?>
						</a>
					</label>
					
					<label class="subs"><?= $feliratkozasok; ?></label>
					<?php 
					
						if(isset($_SESSION['id'])){
					
							// Lekérdezzük, hogy feliratkozott-e a bejelentkezett felhasználó az adott csatornára
							$lekerdezes = "SELECT * FROM subs WHERE userid=$_SESSION[id] AND channelid=$csatorna[id]";
							$talalt_sub = $conn->query($lekerdezes);
						
						
						
							if($_SESSION['id'] != $csatorna['id']){
							
								if(mysqli_num_rows($talalt_sub) == 0){
									
									echo "<input class='sub-btn' type='submit' name='sub-btn' value='Feliratkozás'>";
									
								}
								else{
									
									echo "<input class='un-btn' type='submit' name='unsub-btn' value='Leiratkozás'>";
									
								}
							
							}
						
						}
						else{
							
							echo "<input class='sub-btn' type='submit' name='login-btn' value='Feliratkozás'>";
							
						}
					
					?>
				
				</form>
				
				<p class="video-description">
					<b><?= $video['viewcount']; ?> megtekintés</b><br><br>
					<?= $video['description']; ?>
				</p>
				
				<!-- Kommentek száma -->
				<a class="comment-count"><?= $kommentek_szama; ?> hozzászólás</a>
				
				<form class="comment-form" method="post">
					
					<textarea name="text" placeholder="Írj egy kommentet..." rows="1"></textarea>
					<?php 
					
						// Ha be van jelentkezve -> elküldheti a kommentet
						if(isset($_SESSION['id'])){
							echo '<input type="submit" name="send-btn">';
						}
						// Ha nincs -> bejelentkezés
						else{
							echo '<input type="submit" name="login-btn">';
						}
					
					?>
					
					
				</form>
				
				<!-- Kommentek -->
				<?php 
				
					// Kommentek lekérdezése
					$lekerdezes = "SELECT * FROM comments WHERE videoid=$videoid";
					$talalt_kommentek = $conn->query($lekerdezes);
					while($komment=$talalt_kommentek->fetch_assoc()){
						
						// Komment írójának a lekérdezése
						$lekerdezes = "SELECT * FROM users WHERE id=$komment[userid]";
						$talalt_iro = $conn->query($lekerdezes);
						$iro = $talalt_iro->fetch_assoc();
						
				?>
						<div class="comment">
							<a class="comment-username"><?= $iro['username']; ?></a>
							<a class="comment-text"><?= $komment['text']; ?></a>
						</div>
				<?php } ?>
				
				
			</div>
		
		</div>
	
	</body>
	
	<?php require "footer.php"; ?>
	
</html>